> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get sub-account interest limits

GET https://www.okx.com/api/v5/account/subaccount/interest-limits

Retrieve the borrowing interest and limit of a sub-account under VIP loan allocation. Applies only to master accounts.

Reference: https://okx-demo.ferndocs.com/api/api-reference/sub-account/get-interest-limits

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `subAcct` (string, required) — Sub-account name.
- `ccy` (string, optional) — Single currency or multiple currencies (no more than 5) separated with comma, e.g. BTC or BTC,ETH.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AccountSubaccountInterestLimitsGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AccountSubaccountInterestLimitsGetResponsesContentApplicationJsonSchemaDataItems

- `debt` (string, optional) — Current debt in USD.
- `interest` (string, optional) — Accrued interest in USD.
- `loanAlloc` (string, optional) — VIP loan allocation of the sub-account as a percentage, e.g. 50 for 50%.
- `records` (list of ApiV5AccountSubaccountInterestLimitsGetResponsesContentApplicationJsonSchemaDataItemsRecordsItems, optional) — Interest and limit details per currency.

### ApiV5AccountSubaccountInterestLimitsGetResponsesContentApplicationJsonSchemaDataItemsRecordsItems

- `ccy` (string, optional) — Currency.
- `rate` (string, optional) — Daily rate.
- `loanQuota` (string, optional) — Borrow limit of the master account. If the master account did not assign borrowing limit to this sub-account, it returns "".
- `surplusLmt` (string, optional) — Available amount across all sub-accounts.
- `surplusLmtDetails` (ApiV5AccountSubaccountInterestLimitsGetResponsesContentApplicationJsonSchemaDataItemsRecordsItemsSurplusLmtDetails, optional) — Details of available amount across all sub-accounts, indicating the reason of restriction.
- `usedLmt` (string, optional) — Borrowed amount across all sub-accounts.
- `interest` (string, optional) — Accrued interest of the currency.
- `posLoan` (string, optional) — Frozen amount for current account (posLoan).
- `availLoan` (string, optional) — Available amount of the current account.
- `usedLoan` (string, optional) — Borrowed amount of the current account.

### ApiV5AccountSubaccountInterestLimitsGetResponsesContentApplicationJsonSchemaDataItemsRecordsItemsSurplusLmtDetails

Details of available amount across all sub-accounts, indicating the reason of restriction.

## Examples

**Response**

```json
{
  "code": "string",
  "msg": "string",
  "data": [
    {
      "debt": "string",
      "interest": "string",
      "loanAlloc": "string",
      "records": [
        {
          "ccy": "string",
          "rate": "string",
          "loanQuota": "string",
          "surplusLmt": "string",
          "surplusLmtDetails": {},
          "usedLmt": "string",
          "interest": "string",
          "posLoan": "string",
          "availLoan": "string",
          "usedLoan": "string"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://www.okx.com/api/v5/account/subaccount/interest-limits"

querystring = {"subAcct":"test-sub-1"}

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://www.okx.com/api/v5/account/subaccount/interest-limits?subAcct=test-sub-1';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/account/subaccount/interest-limits?subAcct=test-sub-1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/account/subaccount/interest-limits?subAcct=test-sub-1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/account/subaccount/interest-limits?subAcct=test-sub-1")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/account/subaccount/interest-limits?subAcct=test-sub-1', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/account/subaccount/interest-limits?subAcct=test-sub-1");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/subaccount/interest-limits?subAcct=test-sub-1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```